# Functions: Generic Functions

```@contents
Pages = ["generic_func.md"]
```

This page contains the documentation of functions that are generic to [`SimModel`](@ref),
[`StateEstimator`](@ref) and [`PredictiveController`](@ref) types.

## Set Constraint

```@docs
setconstraint!
```

## Evaluate Output y

```@docs
evaloutput
```

## Update State x

```@docs
updatestate!
```

## Init State x

```@docs
initstate!
```

## Set State x

```@docs
setstate!
```

## Quick Simulation

### Simulate

```@docs
sim!
```

### Simulation Results

```@docs
SimResult
```

## Get Additional Information

```@docs
getinfo
```
